<?php
namespace SabaiApps\Directories\Component\Payment\Feature;

use SabaiApps\Directories\Component\Entity\Model\Bundle;

interface IAddonFeature {

	public function paymentAddonFeatureSupports( Bundle $bundle );
	public function paymentAddonFeatureSettingsForm( Bundle $bundle, array $settings, array $parents = array() );
	public function paymentAddonFeatureIsEnabled( Bundle $bundle, array $settings );
	public function paymentAddonFeatureIsOrderable( array $settings, array $currentFeatures );
	public function paymentAddonFeatureExtraIsOrderable( array $planFeatures );
	public function paymentAddonFeatureExtraSettingsForm( Bundle $bundle, array $planFeatures, array $currentExtraFeatures, array $parents = array() );
	public function paymentAddonFeatureExtraApply( $feature, $extra );
}
